# AlgebraInterfaceMulticall

A fork of Multicall2 specifically tailored for the Algebra Interface

*Developer note: Credit to Uniswap Labs under GPL-2.0-or-later license: <https://github.com/Uniswap/v3-periphery>*

## Functions

### getCurrentBlockTimestamp

`function getCurrentBlockTimestamp() public view returns (uint256 timestamp)` view public

**Returns:**

| Name      | Type    | Description |
| --------- | ------- | ----------- |
| timestamp | uint256 |             |

### getEthBalance

`function getEthBalance(address addr) public view returns (uint256 balance)` view public

| Name | Type    | Description |
| ---- | ------- | ----------- |
| addr | address |             |

**Returns:**

| Name    | Type    | Description |
| ------- | ------- | ----------- |
| balance | uint256 |             |

### multicall

`function multicall(struct AlgebraInterfaceMulticall.Call[] calls) public returns (uint256 blockNumber, struct AlgebraInterfaceMulticall.Result[] returnData)` public

| Name  | Type                                     | Description |
| ----- | ---------------------------------------- | ----------- |
| calls | struct AlgebraInterfaceMulticall.Call\[] |             |

**Returns:**

| Name        | Type                                       | Description |
| ----------- | ------------------------------------------ | ----------- |
| blockNumber | uint256                                    |             |
| returnData  | struct AlgebraInterfaceMulticall.Result\[] |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0-directional-fees/v2.0-directional-fees-periphery/algebrainterfacemulticall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
